#
# spec file for package rubygem-liquid-4
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-liquid-4
Version:        4.0.3
Release:        1.13
%define mod_name liquid
%define mod_full_name %{mod_name}-%{version}
%define mod_version_suffix -4
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.1.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            http://www.liquidmarkup.org
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        A secure, non-evaling end user template engine with aesthetic markup
License:        MIT
Group:          Development/Languages/Ruby

%description
A secure, non-evaling end user template engine with aesthetic markup.

%prep

%build

%install
%gem_install \
  --doc-files="History.md LICENSE README.md" \
  -f

%gem_packages

%changelog
* Thu Jan 21 2021 Stephan Kulow <coolo@suse.com>
- split -4 for jenkyll
* Thu Mar 14 2019 Stephan Kulow <coolo@suse.com>
- updated to version 4.0.3
  see installed History.md
  [#]# 4.0.3 / 2019-03-12
  [#]## Fixed
  * Fix break and continue tags inside included templates in loops (#1072) [Justin Li]
  [#]# 4.0.2 / 2019-03-08
  [#]## Changed
  * Add `where` filter (#1026) [Samuel Doiron]
  * Add `ParseTreeVisitor` to iterate the Liquid AST (#1025) [Stephen Paul Weber]
  * Improve `strip_html` performance (#1032) [printercu]
  [#]## Fixed
  * Add error checking for invalid combinations of inputs to sort, sort_natural, where, uniq, map, compact filters (#1059) [Garland Zhang]
  * Validate the character encoding in url_decode (#1070) [Clayton Smith]
  [#]# 4.0.1 / 2018-10-09
  [#]## Changed
  * Add benchmark group in Gemfile (#855) [Jerry Liu]
  * Allow benchmarks to benchmark render by itself (#851) [Jerry Liu]
  * Avoid calling `line_number` on String node when rescuing a render error. (#860) [Dylan Thacker-Smith]
  * Avoid duck typing to detect whether to call render on a node. [Dylan Thacker-Smith]
  * Clarify spelling of `reversed` on `for` block tag (#843) [Mark Crossfield]
  * Replace recursion with loop to avoid potential stack overflow from malicious input (#891, #892) [Dylan Thacker-Smith]
  * Limit block tag nesting to 100 (#894) [Dylan Thacker-Smith]
  * Replace `assert_equal nil` with `assert_nil` (#895) [Dylan Thacker-Smith]
  * Remove Spy Gem (#896) [Dylan Thacker-Smith]
  * Add `collection_name` and `variable_name` reader to `For` block (#909)
  * Symbols render as strings (#920) [Justin Li]
  * Remove default value from Hash objects (#932) [Maxime Bedard]
  * Remove one level of nesting (#944) [Dylan Thacker-Smith]
  * Update Rubocop version (#952) [Justin Li]
  * Add `at_least` and `at_most` filters (#954, #958) [Nithin Bekal]
  * Add a regression test for a liquid-c trim mode bug (#972) [Dylan Thacker-Smith]
  * Use https rather than git protocol to fetch liquid-c [Dylan Thacker-Smith]
  * Add tests against Ruby 2.4 (#963) and 2.5 (#981)
  * Replace RegExp literals with constants (#988) [Ashwin Maroli]
  * Replace unnecessary `#each_with_index` with `#each` (#992) [Ashwin Maroli]
  * Improve the unexpected end delimiter message for block tags. (#1003) [Dylan Thacker-Smith]
  * Refactor and optimize rendering (#1005) [Christopher Aue]
  * Add installation instruction (#1006) [Ben Gift]
  * Remove Circle CI (#1010)
  * Rename deprecated `BigDecimal.new` to `BigDecimal` (#1024) [Koichi ITO]
  * Rename deprecated Rubocop name (#1027) [Justin Li]
  [#]## Fixed
  * Handle `join` filter on non String joiners (#857) [Richard Monette]
  * Fix duplicate inclusion condition logic error of `Liquid::Strainer.add_filter` method (#861)
  * Fix `escape`, `url_encode`, `url_decode` not handling non-string values (#898) [Thierry Joyal]
  * Fix raise when variable is defined but nil when using `strict_variables` [Pascal Betz]
  * Fix `sort` and `sort_natural` to handle arrays with nils (#930) [Eric Chan]
* Sat Dec  8 2018 Stephan Kulow <coolo@suse.com>
- updated to version 4.0.1
  see installed History.md
* Thu Dec 15 2016 coolo@suse.com
- updated to version 4.0.0
  see installed History.md
* Sun Jul 26 2015 coolo@suse.com
- updated to version 3.0.6
  see installed History.md
* Fri Jul 24 2015 coolo@suse.com
- updated to version 3.0.5
  see installed History.md
* Sat Jul 18 2015 coolo@suse.com
- updated to version 3.0.4
  see installed History.md
* Fri May 29 2015 coolo@suse.com
- updated to version 3.0.3
  see installed History.md
* Tue Apr 28 2015 coolo@suse.com
- updated to version 3.0.2
  see installed History.md
* Sat Feb  7 2015 coolo@suse.com
- updated to version 3.0.1
  * Removed Block#end_tag. Instead, override parse with `super` followed by your code. See #446 [Dylan Thacker-Smith, dylanahsmith]
  * Fixed condition with wrong data types, see #423 [Bogdan Gusiev]
  * Add url_encode to standard filters, see #421 [Derrick Reimer, djreimer]
  * Add uniq to standard filters [Florian Weingarten, fw42]
  * Add exception_handler feature, see #397 and #254 [Bogdan Gusiev, bogdan and Florian Weingarten, fw42]
  * Optimize variable parsing to avoid repeated regex evaluation during template rendering #383 [Jason Hiltz-Laforge, jasonhl]
  * Optimize checking for block interrupts to reduce object allocation #380 [Jason Hiltz-Laforge, jasonhl]
  * Properly set context rethrow_errors on render! #349 [Thierry Joyal, tjoyal]
  * Fix broken rendering of variables which are equal to false, see #345 [Florian Weingarten, fw42]
  * Remove ActionView template handler [Dylan Thacker-Smith, dylanahsmith]
  * Freeze lots of string literals for new Ruby 2.1 optimization, see #297 [Florian Weingarten, fw42]
  * Allow newlines in tags and variables, see #324 [Dylan Thacker-Smith, dylanahsmith]
  * Tag#parse is called after initialize, which now takes options instead of tokens as the 3rd argument. See #321 [Dylan Thacker-Smith, dylanahsmith]
  * Raise `Liquid::ArgumentError` instead of `::ArgumentError` when filter has wrong number of arguments #309 [Bogdan Gusiev, bogdan]
  * Add a to_s default for liquid drops, see #306 [Adam Doeler, releod]
  * Add strip, lstrip, and rstrip to standard filters [Florian Weingarten, fw42]
  * Make if, for & case tags return complete and consistent nodelists, see #250 [Nick Jones, dntj]
  * Prevent arbitrary method invocation on condition objects, see #274 [Dylan Thacker-Smith, dylanahsmith]
  * Don't call to_sym when creating conditions for security reasons, see #273 [Bouke van der Bijl, bouk]
  * Fix resource counting bug with respond_to?(:length), see #263 [Florian Weingarten, fw42]
  * Allow specifying custom patterns for template filenames, see #284 [Andrei Gladkyi, agladkyi]
  * Allow drops to optimize loading a slice of elements, see #282 [Tom Burns, boourns]
  * Support for passing variables to snippets in subdirs, see #271 [Joost Hietbrink, joost]
  * Add a class cache to avoid runtime extend calls, see #249 [James Tucker, raggi]
  * Remove some legacy Ruby 1.8 compatibility code, see #276 [Florian Weingarten, fw42]
  * Add default filter to standard filters, see #267 [Derrick Reimer, djreimer]
  * Add optional strict parsing and warn parsing, see #235 [Tristan Hume, trishume]
  * Add I18n syntax error translation, see #241 [Simon Hørup Eskildsen, Sirupsen]
  * Make sort filter work on enumerable drops, see #239 [Florian Weingarten, fw42]
  * Fix clashing method names in enumerable drops, see #238 [Florian Weingarten, fw42]
  * Make map filter work on enumerable drops, see #233 [Florian Weingarten, fw42]
  * Improved whitespace stripping for blank blocks, related to #216 [Florian Weingarten, fw42]
* Fri Nov 21 2014 opensuse_buildservice@ojkastl.de
- adapted to new packaging scheme
* Mon Jan 20 2014 coolo@suse.com
- updated to version 2.6.1
  Security fix, cherry-picked from master (4e14a65):
  * Don't call to_sym when creating conditions for security reasons, see #273 [Bouke van der Bijl, bouk]
  * Prevent arbitrary method invocation on condition objects, see #274 [Dylan Thacker-Smith, dylanahsmith]
* Tue Nov 26 2013 coolo@suse.com
- updated to version 2.6.0
  * Bugfix for #106: fix example servlet [gnowoel]
  * Bugfix for #97: strip_html filter supports multi-line tags [Jo Liss, joliss]
  * Bugfix for #114: strip_html filter supports style tags [James Allardice, jamesallardice]
  * Bugfix for #117: 'now' support for date filter in Ruby 1.9 [Notre Dame Webgroup, ndwebgroup]
  * Bugfix for #166: truncate filter on UTF-8 strings with Ruby 1.8 [Florian Weingarten, fw42]
  * Bugfix for #204: 'raw' parsing bug [Florian Weingarten, fw42]
  * Bugfix for #150: 'for' parsing bug [Peter Schröder, phoet]
  * Bugfix for #126: Strip CRLF in strip_newline [Peter Schröder, phoet]
  * Bugfix for #174, "can't convert Fixnum into String" for "replace" [wǒ_is神仙, jsw0528]
  * Allow a Liquid::Drop to be passed into Template#render [Daniel Huckstep, darkhelmet]
  * Resource limits [Florian Weingarten, fw42]
  * Add reverse filter [Jay Strybis, unreal]
  * Add utf-8 support
  * Use array instead of Hash to keep the registered filters [Tasos Stathopoulos, astathopoulos]
  * Cache tokenized partial templates [Tom Burns, boourns]
  * Avoid warnings in Ruby 1.9.3 [Marcus Stollsteimer, stomar]
  * Better documentation for 'include' tag (closes #163) [Peter Schröder, phoet]
  * Use of BigDecimal on filters to have better precision (closes #155) [Arthur Nogueira Neves, arthurnn]
* Fri Nov 22 2013 coolo@suse.com
- updated to version 2.5.4
  * Fix "can't convert Fixnum into String" for "replace", see #173, [wǒ_is神仙, jsw0528]
* Thu Oct 10 2013 coolo@suse.com
- updated to version 2.5.3, yanked but still there
* Sat Sep  7 2013 coolo@suse.com
- updated to version 2.5.2
  * Add optional strict parsing and warn parsing, see #235 [Tristan Hume, trishume]
  * Add I18n syntax error translation, see #241 [Simon Hørup Eskildsen, Sirupsen]
  * Make sort filter work on enumerable drops, see #239 [Florian Weingarten, fw42]
  * Fix clashing method names in enumerable drops, see #238 [Florian Weingarten, fw42]
  * Make map filter work on enumerable drops, see #233 [Florian Weingarten, fw42]
  * Fix security issue with map filter, see #230, #232, #234, #237 [Florian Weingarten, fw42]
  * Improved whitespace stripping for blank blocks, related to #216 [Florian Weingarten, fw42]
  * Bugfix for #106: fix example servlet [gnowoel]
  * Bugfix for #97: strip_html filter supports multi-line tags [Jo Liss, joliss]
  * Bugfix for #114: strip_html filter supports style tags [James Allardice, jamesallardice]
  * Bugfix for #117: 'now' support for date filter in Ruby 1.9 [Notre Dame Webgroup, ndwebgroup]
  * Bugfix for #166: truncate filter on UTF-8 strings with Ruby 1.8 [Florian Weingarten, fw42]
  * Bugfix for #204: 'raw' parsing bug [Florian Weingarten, fw42]
  * Bugfix for #150: 'for' parsing bug [Peter Schröder, phoet]
  * Bugfix for #126: Strip CRLF in strip_newline [Peter Schröder, phoet]
  * Allow a Liquid::Drop to be passed into Template#render [Daniel Huckstep, darkhelmet]
  * Resource limits [Florian Weingarten, fw42]
  * Add reverse filter [Jay Strybis, unreal]
  * Add utf-8 support
  * Use array instead of Hash to keep the registered filters [Tasos Stathopoulos, astathopoulos]
  * Cache tokenized partial templates [Tom Burns, boourns]
  * Avoid warnings in Ruby 1.9.3 [Marcus Stollsteimer, stomar]
  * Better documentation for 'include' tag (closes #163) [Peter Schröder, phoet]
  * Use of BigDecimal on filters to have better precision (closes #155) [Arthur Nogueira Neves, arthurnn]
* Tue Jul 30 2013 coolo@suse.com
- updated to version 2.5.1
* Sun May 26 2013 coolo@suse.com
- updated to version 2.5.0
  * Prevent Object methods from being called on drops
  * Avoid symbol injection from liquid
  * Added break and continue statements
  * Fix filter parser for args without space separators
  * Add support for filter keyword arguments
* Wed Aug  8 2012 coolo@suse.com
- updated to version 2.4.1
  * Performance improvements
  * Allow filters in `assign`
  * Add `modulo` filter
  * Ruby 1.8, 1.9, and Rubinius compatibility fixes
  * Add support for `quoted['references']` in `tablerow`
  * Add support for Enumerable to `tablerow`
  * `strip_html` filter removes html comments
* Thu Jan  5 2012 suse@ammler.ch
- update to 2.3.0
  * Several speed/memory improvements
  * Numerous bug fixes
  * Added support for MRI 1.9, Rubinius, and JRuby
  * Added support for integer drop parameters
  * Added epoch support to `date` filter
  * New `raw` tag that suppresses parsing
  * Added `else` option to `for` tag
  * New `increment` tag
  * New `split` filter
* Sat Sep 17 2011 mrueckert@suse.de
- split out doc package
- re-did spec with new gem2rpm
* Thu Oct  7 2010 prusnak@opensuse.org
- updated to 2.2.2
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Thu Jan  7 2010 prusnak@suse.cz
- created package
